<md-list class="wb-setting-panel">
<!-- 
+"xAxis": {
+      "axisLabel": "Time (ms)",
-      "dispatch": {},
+      "axisLabelDistance": 0,
+      "staggerLabels": false,
+      "rotateLabels": 0,
+      "rotateYLabel": true,
+      "showMaxMin": false,
      "height": 60,
      "ticks": null,
      "width": 75,
      "margin": {
        "top": 0,
        "right": 0,
        "bottom": 0,
        "left": 0
      },
+      "duration": 250,
-      "orient": "bottom",
-      "tickValues": null,
-      "tickSubdivide": 0,
-      "tickSize": 6,
-      "tickPadding": 7,
-      "domain": [0, 1],
-      "range": [0, 1]
    },
-->
    <!-- SECTION: X Axis -->
    <md-subheader class="md-no-sticky" translate>X Axis</md-subheader>
	<wb-ui-setting-text 
		title="X-Label" 
		icon="blur_on"
		value="wbModel.chart.xAxis.axisLabel">
	</wb-ui-setting-text>
	<wb-ui-setting-number 
		title="Distance label" 
		icon="blur_on"
		value="wbModel.chart.xAxis.axisLabelDistance">
	</wb-ui-setting-number>
    <wb-ui-setting-on-off-switch 
    	title="Stagger Labels?" 
    	icon="blur_on" 
    	value="wbModel.chart.xAxis.staggerLabels">
    </wb-ui-setting-on-off-switch>
    <wb-ui-setting-number
		title="Rotate labels" 
		icon="blur_on"
		value="wbModel.chart.xAxis.rotateLabels">
	</wb-ui-setting-number>
    <wb-ui-setting-on-off-switch
		title="Rotate Y labels" 
		icon="blur_on"
		value="wbModel.chart.xAxis.rotateYLabel">
	</wb-ui-setting-on-off-switch>
    <wb-ui-setting-on-off-switch
		title="Show Max/Min" 
		icon="blur_on"
		value="wbModel.chart.xAxis.showMaxMin">
	</wb-ui-setting-on-off-switch>
    <wb-ui-setting-number
		title="Duration" 
		icon="blur_on"
		value="wbModel.chart.xAxis.duration">
	</wb-ui-setting-number>

    <!-- format -->
    <wb-ui-setting-dropdown 
    	title="Format" 
    	icon="blur_on" 
    	value="wbModel.xformat.type"
        items="formats">
    </wb-ui-setting-dropdown>
    <wb-ui-setting-dropdown 
    	ng-show="wbModel.xformat.type"
    	title="Format pattern" 
    	icon="blur_on" 
    	value="wbModel.xformat.format"
        items="getPatterns(wbModel.xformat.type)">
    </wb-ui-setting-dropdown>
    <wb-ui-setting-on-off-switch 
    	title="Adjust to origin?" 
    	icon="blur_on" 
    	value="wbModel.xformat.adjust">
    </wb-ui-setting-on-off-switch>




<!-- 
    "yAxis": {
      "axisLabel": "Voltage (v)",
      "axisLabelDistance": -10,
      "dispatch": {},
      "staggerLabels": false,
      "rotateLabels": 0,
      "rotateYLabel": true,
      "showMaxMin": true,
      "height": 60,
      "ticks": null,
      "width": 75,
      "margin": {
        "top": 0,
        "right": 0,
        "bottom": 0,
        "left": 0
      },
      "duration": 250,
      "orient": "left",
      "tickValues": null,
      "tickSubdivide": 0,
      "tickSize": 6,
      "tickPadding": 3,
      "domain": [
        0,
        1
      ],
      "range": [
        0,
        1
      ]
    },

 -->

    <!-- SECTION: Y Axis -->
    <md-subheader class="md-no-sticky" translate>Y Axis</md-subheader>
	<wb-ui-setting-text 
		title="Y-Label" 
		icon="blur_on"
		value="wbModel.chart.yAxis.axisLabel">
	</wb-ui-setting-text>
	<wb-ui-setting-number 
		title="Distance label" 
		icon="blur_on"
		value="wbModel.chart.yAxis.axisLabelDistance">
	</wb-ui-setting-number>
    <wb-ui-setting-on-off-switch 
    	title="Stagger Labels?" 
    	icon="blur_on" 
    	value="wbModel.chart.yAxis.staggerLabels">
    </wb-ui-setting-on-off-switch>
    <wb-ui-setting-number
		title="Rotate labels" 
		icon="blur_on"
		value="wbModel.chart.yAxis.rotateLabels">
	</wb-ui-setting-number>
    <wb-ui-setting-on-off-switch
		title="Rotate Y labels" 
		icon="blur_on"
		value="wbModel.chart.yAxis.rotateYLabel">
	</wb-ui-setting-on-off-switch>
    <wb-ui-setting-on-off-switch
		title="Show Max/Min" 
		icon="blur_on"
		value="wbModel.chart.yAxis.showMaxMin">
	</wb-ui-setting-on-off-switch>
    <wb-ui-setting-number
		title="Duration" 
		icon="blur_on"
		value="wbModel.chart.yAxis.duration">
	</wb-ui-setting-number>

    <!-- format -->
    <wb-ui-setting-dropdown 
    	title="Format" 
    	icon="blur_on" 
    	value="wbModel.yformat.type"
        items="formats">
    </wb-ui-setting-dropdown>
    <wb-ui-setting-dropdown 
    	ng-show="wbModel.yformat.type"
    	title="Format pattern" 
    	icon="blur_on" 
    	value="wbModel.yformat.format"
        items="getPatterns(wbModel.yformat.type)">
    </wb-ui-setting-dropdown>
    <wb-ui-setting-on-off-switch 
    	title="Adjust to origin?" 
    	icon="blur_on" 
    	value="wbModel.yformat.adjust">
    </wb-ui-setting-on-off-switch>
	
</md-list>